{% extends "base.html.j2" %}
{% from "admin/_breadcrumbs.html.j2" import breadcrumbs with context %}

{% block page_content %}
<div class="container">
  <div class="row">
    <div class="col s12">
      <h1 id="title">{{ title }}</h1>
    </div>

    <div class="col s12">
      <div class="card">
        <div class="card-content">
          <div class="user-list no-autoinit"></div>
        </div>
      </div>
    </div>
  </div>
</div>
{% endblock page_content %}

{% block scripts %}
{{ super() }}
<script>
  for (let user of {{ json_users|tojson }}) {
    if (user.id in app.data.users) {continue;}
    app.data.users[user.id] = user;
  }
  let userList = new UserList(document.querySelector('.user-list'));
  userList.init(app.data.users);
</script>
{% endblock scripts %}
